const xPosition = (d, i) => i * 120+60

export const colorLegend = (selection, props) => {
  const { 
    colorScale, 
    circleRadius,
    spacing,
    textOffset,
    setSelected,
    selected
  } = props;
  		
  
  const groups = selection.selectAll('g').data(colorScale.domain());
 	const groupsEnter = groups.enter().append('g').attr('class', 'colorLegend');
  groupsEnter
  	.attr('transform', (d, i) => 
            `translate(0, ${i * spacing})`)
    .merge(groups)
  		.on('click',d => selected === d
  										? setSelected(null)
  										: setSelected(d));
    
  groupsEnter.append('circle')
    .merge(groups.select('circle'))
  		.attr('fill', colorScale)
    	.attr('r',  circleRadius)
  		.attr('stroke', d => d === selected
            ? 'black'
            : null)
  		.attr('stroke-width', 3);
	
  groupsEnter.append('text')
    .merge(groups.select('text'))
  		.text(d => d)
      .attr('x', textOffset)
  		.attr('dy', '0.32em')
  
}